Ticket #37124

aria-pressed の翻訳

Open Date: 2017-04-13 14:48 Last Update: 2017-05-08 16:05

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 翻訳 MileStone: 2017.2 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

下記のようなコンテンツが「押されました なし」のように日本語で読み上げられる、という指摘をいただいています。 (英語では not pressed または pressed となっている)

いちおう翻訳の問題にしておきますが、翻訳だけで解決するかどうか調査中です。

<html>
  <body>
    <div>
      <a href="#" role="button" aria-pressed="false">button 1</a>
    </div>
    <div>
      <a href="#" role="button" aria-pressed="true">button 2</a>
    </div>
  </body>
</html>
button 1  トグルボタン  押されました なし
button 2  トグルボタン  押されました

Attachment File List

No attachments

Ticket History (3/7 Histories)

2017-04-13 14:48 Updated by: nishimoto
  • New Ticket "aria-pressed の翻訳" created
2017-04-13 15:00 Updated by: nishimoto
Comment

pressed を「押されています」に変更することはできそうですが、 not pressed は下記のメッセージで定義されているので「押されています なし」になります。

「押されていません」に変更するのは本家への変更提案が必要そうです。 (下記コメントに書かれているとおりですね。。)

#. Translators: Indicates that a particular state on an object is negated.
#. Separate strings have now been defined for commonly negated states (e.g. not selected and not checked),
#. but this still might be used in some other cases.
#. %s will be replaced with the negated state.
#, python-format
msgid "not %s"
msgstr "%s なし"
2017-04-13 15:21 Updated by: nishimoto
Comment

他の「なになにされていません」はどうやっているかというと下記

controlTypes.py

negativeStateLabels={
	# Translators: This is presented when a selectable object (e.g. a list item) is not selected.
	STATE_SELECTED:_("not selected"),
	# Translators: This is presented when a checkbox is not checked.
	STATE_CHECKED:_("not checked"),
}
2017-04-13 15:29 Updated by: nishimoto
  • Component Update from 翻訳 to 本家
Comment

下記でうまくいった。

まず上半分を本家にプルリクエストして、採用されたら下半分を翻訳で反映させる。

diff --git a/source/controlTypes.py b/source/controlTypes.py
index f6f3bf8..6b2c68e 100644
--- a/source/controlTypes.py
+++ b/source/controlTypes.py
@@ -566,6 +566,8 @@ negativeStateLabels={
        STATE_SELECTED:_("not selected"),
        # Translators: This is presented when a checkbox is not checked.
        STATE_CHECKED:_("not checked"),
+       # Translators: This is presented when a button is not pressed.
+       STATE_PRESSED:_("not pressed"),
 }

 silentRolesOnFocus={
diff --git a/source/locale/ja/LC_MESSAGES/nvda.po b/source/locale/ja/LC_MESSAGES/nvda.po
index c8527c9..dec769d 100755
--- a/source/locale/ja/LC_MESSAGES/nvda.po
+++ b/source/locale/ja/LC_MESSAGES/nvda.po
@@ -2178,7 +2178,11 @@ msgstr "使用中"

 #. Translators: This is presented when a button is pressed.
 msgid "pressed"
-msgstr "押されました"
+msgstr "押されています"
+
+#. Translators: This is presented when a button is not pressed.
+msgid "not pressed"
+msgstr "押されていません"

 #. Translators: This is presented when a check box is checked.
 msgid "checked"
2017-04-13 15:37 Updated by: nishimoto
Comment

プルリクエストしました。 https://github.com/nvaccess/nvda/pull/7071

2017-04-14 11:35 Updated by: nishimoto
  • Milestone Update from (None) to 2017.2 (closed)
  • Component Update from 本家 to 翻訳
Comment

not pressed 対応はいつ master に入るかわからないけど、 pressed は直しておく。

Index: nvda.po
===================================================================
--- nvda.po	(revision 32254)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2017-04-14 00:10+1000\n"
-"PO-Revision-Date: 2017-04-07 07:59+0900\n"
+"PO-Revision-Date: 2017-04-14 11:33+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -2178,7 +2178,7 @@
 
 #. Translators: This is presented when a button is pressed.
 msgid "pressed"
-msgstr "押されました"
+msgstr "押されています"
 
 #. Translators: This is presented when a check box is checked.
 msgid "checked"
2017-05-08 16:05 Updated by: nishimoto
  • Ticket Close date is changed to 2017-05-08 16:05
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

2017.2 ギリギリ最後でマージされたようなので対応。

Index: nvda.po
===================================================================
--- nvda.po	(revision 32687)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2017-05-08 16:33+1000\n"
-"PO-Revision-Date: 2017-04-14 11:33+0900\n"
+"PO-Revision-Date: 2017-05-08 16:01+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -14,7 +14,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Poedit-SourceCharset: utf-8\n"
-"X-Generator: Poedit 1.8.12\n"
+"X-Generator: Poedit 2.0.1\n"
 
 #. Translators: Message to indicate User Account Control (UAC) or other secure desktop screen is active.
 msgid "Secure Desktop"
@@ -2331,9 +2331,8 @@
 msgstr "チェックなし"
 
 #. Translators: This is presented when a button is not pressed.
-#, fuzzy
 msgid "not pressed"
-msgstr "押されています"
+msgstr "押されていません"
 
 #. Translators: Presented when an item is marked as current in a collection of items
 msgid "current"

Edit

Please login to add comment to this ticket » Login